post
https://api.7digital.com/1.2/playlists
Create a new playlist tied to your partner consumer key.
Playlists can be associated with the partner or a specific user, by setting the userId query parameter.
When creating a new playlist you can provide an initial track listing in the request or create an empty playlists by leaving the "tracks" array empty.
When adding a track to a playlist there are certain properties you can optionally specify, see playlists/{playlistId}/tracks for details
The POST body parameters should be formatted as raw JSON.

*shopid is only required when using the Interactive API
Example request
POST https://api.7digital.com/1.2/playlists?country=GB&oauth_consumer_key=YOUR_KEY_HERE&oauth_token=...The body of the request should be structured as follows:
{
"name": "Summer Vibez",
"status": "published",
"tracks": [
{
"trackId": "86729797"
},
{
"trackId": "86729798"
}
],
"tags": [{"name": "dance"}
]
}Example response
{
"playlist": {
"id": "664daf0165c9a00484de697e",
"name": "Summer Vibez",
"status": "published",
"visibility": "Private",
"tags": [
{
"name": "dance"
}
],
"tracks": [
{
"id": "664daf0165c9a00484de697c",
"trackId": "86729797",
"source": "7digital",
"audioUrl": "http://stream.svc.7digital.net/stream/catalogue?trackId=86729797",
"dateAdded": "2024-05-22T08:38:25.5826017Z",
"image": ""
},
{
"id": "664daf0165c9a00484de697d",
"trackId": "86729798",
"source": "7digital",
"audioUrl": "http://stream.svc.7digital.net/stream/catalogue?trackId=86729798",
"dateAdded": "2024-05-22T08:38:25.5826017Z",
"image": ""
}
],
"annotations": {},
"lastUpdated": "2024-05-22T08:38:25.5826017Z",
"partnerId": "13779"
